HttpQueryString
HttpQueryString::get
HttpQueryString
PHP Manual

# HttpQueryString::__construct

(PECL pecl_http >= 0.22.0)

HttpQueryString::__construct — HttpQueryString constructor

### Description

final public HttpQueryString::__construct ([ bool `$global` = true [, mixed `$add` ]] )

Creates a new HttpQueryString object instance.

Operates on and modifies $_GET and $_SERVER['QUERY_STRING'] if global is `TRUE`.

### Parameters

`global`

  whether to operate on $_GET and $_SERVER['QUERY_STRING']

`add`

  additional/initial query string parameters

### Errors/Exceptions

Throws HttpRuntimeException.

HttpQueryString
HttpQueryString::get
HttpQueryString
PHP Manual